<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="form">
  <mb-input-text
    [mbIsTextAre]="true"
    [mbConfig]="{ rows: 4, autoSize: true }"
    formControlName="reason"
    [mbMaxLength]="100"
    mbLabelText="{{ 'development.consultation-screen.reason' | translate }}"
    mbPlaceholderText="{{
      'development.consultation-screen.reason' | translate
    }}"
    [mbType]="isSubmitted && form.get('reason')?.errors ? 'error' : 'default'"
    [mbShowError]="isSubmitted && !!form.get('reason')?.errors"
    [mbErrors]="form.get('reason')?.errors"
    [mbErrorDefs]="[
      {
        errorName: 'required',
        errorDescription:
          'development.commonMessage.validateReasonReturnPropose' | translate
      }
    ]"
  ></mb-input-text>
</form>

<mb-table-wrap [mbTitle]="[ 'development.proposed-unit.section.listReturnPropose' | translate ]">
  <mb-table
    [tableConfig]="tableConfig"
    [tableData]="stopInterviewTable"
    [heightTable]="heightTable"
  >
  </mb-table>
</mb-table-wrap>

<ng-template #checkboxTmpl let-id="id">
  <label
    nz-checkbox
    [nzChecked]="quantityMap.has(id!)"
    (nzCheckedChange)="onItemChecked(id, $event)"
  >
  </label>
</ng-template>

<ng-template #fullNameTmpl let-proposeCode="proposeCode">
  <span>{{ getFullName(proposeCode) }}</span>
</ng-template>

<ng-template #currentTitleTmpl let-proposeCode="proposeCode">
  <span>{{ getCurrentTitle(proposeCode) }}</span>
</ng-template>

<div class="footer">
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.proposed-unit.button.save' | translate }}"
    (click)="submit()"
  ></mb-button>
  <mb-button
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="{{ 'development.proposed-unit.button.cancel2' | translate }}"
    (click)="closeModal()"
  >
  </mb-button>
</div>
